%undefine __cmake_in_source_build

Name:    kolourpaint
Summary: An easy-to-use paint program 
Version: 23.08.4
Release: 2%{?dist}

License: BSD 
URL:     https://www.kde.org/applications/graphics/kolourpaint/
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: desktop-file-utils
BuildRequires: libappstream-glib
BuildRequires: extra-cmake-modules
BuildRequires: kf5-rpm-macros
BuildRequires: cmake(KF5I18n)
BuildRequires: cmake(KF5KDELibs4Support)

%if ! 0%{?bootstrap}
BuildRequires: cmake(KF5Sane)
%endif

Requires: %{name}-libs = %{version}-%{release}

Conflicts: kdegraphics < 7:4.6.95-10

Conflicts: kde-l10n < 17.03

%description
%{summary}.

%package  libs
Summary:  Runtime libraries for %{name}
Requires: %{name} = %{version}-%{release}
License: LGPLv2
%description libs
%{summary}.


%prep
%autosetup


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-html

rm -fv %{buildroot}%{_kde4_libdir}/libkolourpaint_lgpl.so


%check
appstream-util validate-relax --nonet %{buildroot}%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml ||:
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/org.kde.%{name}.desktop ||:


%files -f %{name}.lang
%doc AUTHORS BUGS ChangeLog NEWS README.md
%license COPYING*
%{_kf5_bindir}/%{name}
%{_kf5_datadir}/%{name}/
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf5_datadir}/applications/org.kde.%{name}.desktop
%{_kf5_datadir}/icons/hicolor/*/*/*
%{_kf5_datadir}/kxmlgui5/%{name}/


%files libs
%{_kf5_libdir}/libkolourpaint_lgpl.so*


%changelog
* Wed May 08 2024 Doris Chao <doriscchao@tencent.com> - 23.08.4-2
- debrand for opencloudos

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build
